var SockSugar = require("socksugar");

var server = new SockSugar({
	port: 8083
});

var sections = {
	game: require("./sections/game.js")
};

server.on("connection", function(sock) {
	console.log("connection");
	sock.on("request", function(req) {
		var parts = req.url.split("/");
		var s = sections[parts[0]];

		if (s === undefined)
			return req.error("Section not found.");

		s(parts, req, sock);
	});
});
